%define rel	2

Summary:	Lightweight and desktop independent task manager
Name:		lxtask
Version:	0.1.12
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
URL:		https://lxde.sourceforge.net/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool

%description
Lightweight and desktop independent task manager.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fcommon"
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/%{name}.1.*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.1.12-2.mga10
+ Revision: 2249862
- Mageia 10 Mass Rebuild

* Wed Mar 26 2025 ns80 <ns80> 0.1.12-1.mga10
+ Revision: 2170011
- new version 0.1.12

* Tue Sep 10 2024 ns80 <ns80> 0.1.11-1.git20240908.1.mga10
+ Revision: 2094856
- update to latest git snapshot

* Wed Aug 30 2023 ns80 <ns80> 0.1.11-0.git20230802.1.mga10
+ Revision: 1981735
- update to latest git snapshot

* Thu Feb 09 2023 ns80 <ns80> 0.1.11-0.git20210304.3.mga9
+ Revision: 1939684
- rebuild for aging

* Thu Mar 31 2022 umeabot <umeabot> 0.1.11-0.git20210304.2.mga9
+ Revision: 1835830
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 ns80 <ns80> 0.1.11-0.git20210304.1.mga9
+ Revision: 1789798
- update to latest git snapshot and build with GTK+3

* Thu Nov 05 2020 ns80 <ns80> 0.1.10-1.mga8
+ Revision: 1642836
- new version 0.1.10

* Fri May 15 2020 ns80 <ns80> 0.1.9-3.mga8
+ Revision: 1583854
- fix build with gcc 10

* Sat Feb 15 2020 umeabot <umeabot> 0.1.9-2.mga8
+ Revision: 1523459
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.1.9-1.mga7
+ Revision: 1371348
- new version 0.1.9

* Mon Jan 14 2019 ns80 <ns80> 0.1.8-4.git20190113.1.mga7
+ Revision: 1356363
- aligns used memory with free command

* Sun Sep 23 2018 umeabot <umeabot> 0.1.8-3.mga7
+ Revision: 1299419
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 ns80 <ns80> 0.1.8-2.mga7
+ Revision: 1191492
- update to latest git snapshot to fix making priority change work

* Fri Jan 27 2017 ns80 <ns80> 0.1.8-1.mga6
+ Revision: 1083564
- new version 0.1.8

* Mon Jan 23 2017 ns80 <ns80> 0.1.7-3.mga6
+ Revision: 1083122
- add an upstream patch that fixes showing the wrong uid

* Sun Feb 21 2016 ns80 <ns80> 0.1.7-2.mga6
+ Revision: 975329
+ rebuild (emptylog)

* Sun Feb 21 2016 ns80 <ns80> 0.1.7-1.mga6
+ Revision: 975309
- new version 0.1.7

* Mon Feb 08 2016 umeabot <umeabot> 0.1.6-2.mga6
+ Revision: 950140
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 alexl <alexl> 0.1.6-1.mga5
+ Revision: 792493
- version 0.1.6 (mga#14165)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-5.mga5
+ Revision: 739340
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-4.mga5
+ Revision: 682102
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-3.mga4
+ Revision: 507643
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 359222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 18 2011 fwang <fwang> 0.1.4-1.mga2
+ Revision: 134357
- new version 0.1.4

* Sat Feb 05 2011 ahmad <ahmad> 0.1.3-3.mga1
+ Revision: 47001
- drop old/unneeded scriptlets
- imported package lxtask


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2011.0
+ Revision: 606447
- rebuild

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 533695
- new version 0.1.3

* Tue Apr 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 532086
- new upstream release 0.1.2
- drop fix-desktop-file patch, not needed any more
- add patch to fix fa.po file
- clean spec

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 523234
- rebuilt for 2010.1

* Fri Jul 10 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394054
- add BR
- new version 0.1.1

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1-3mdv2009.1
+ Revision: 314834
- update new rel
- add upstream patch to build with new cflags

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2009.0
+ Revision: 268134
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 200929
- import source
- Created package structure for lxtask.

